Loading...
Searching...
No Matches
Dune::GlobalLookupIndexSet< I > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Decorates an index set with the possibility to find a global index that is mapped to a specific local. More...

`#include <dune/common/parallel/indexset.hh>`

## Public Types

typedef I | ParallelIndexSet
| The type of the index set.
typedef ParallelIndexSet::LocalIndex | LocalIndex
| The type of the local index.
typedef ParallelIndexSet::GlobalIndex | GlobalIndex
| The type of the global index.
typedef ParallelIndexSet::const_iterator | const_iterator
| The iterator over the index pairs.
typedef Dune::IndexPair< typename I::GlobalIndex, typename I::LocalIndex > | IndexPair

## Public Member Functions

| GlobalLookupIndexSet (const ParallelIndexSet &indexset, std::size_t size)
| Constructor.
| GlobalLookupIndexSet (const ParallelIndexSet &indexset)
| Constructor.
| ~GlobalLookupIndexSet ()
| Destructor.
const IndexPair & | operator[] (const GlobalIndex &global) const
| Find the index pair with a specific global id.
const IndexPair * | pair (const std::size_t &local) const
| Get the index pair corresponding to a local index.
const_iterator | begin () const
| Get an iterator over the indices positioned at the first index.
const_iterator | end () const
| Get an iterator over the indices positioned after the last index.
int | seqNo () const
| Get the internal sequence number.
size_t | size () const
| Get the total number (public and nonpublic) indices.

## Detailed Description

template<class I>
class Dune::GlobalLookupIndexSet< I >

Decorates an index set with the possibility to find a global index that is mapped to a specific local.

The documentation for this class was generated from the following file:

- indexset.hh